Custody
Get Wallet Balance
Returns the balance of one custody wallet of a user.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access_token> obtained from POST /api/v1/client/token. |
| user_id | Path | Yes | Owner of the wallet. |
| wallet_id | Path | Yes | Wallet to query, from GET /admin/wallets/{user_id}. |
Response
| Field | Description |
|---|---|
| walletId | Wallet queried. |
| userId | Owner of the wallet. |
| symbol | Token of the balance. |
| network | Network of the wallet. |
| availableBalance | Funds available to operate. |
| visibleBalance | Balance shown to the user. |
| inPoolBalance | Funds held in the liquidity pool. |
| totalOperations | Number of operations of the wallet. |
| lastOperationDate | Timestamp of the last operation, or null. |
Returns zeros when the wallet has no movements. Returns 404 when the wallet does not exist or belongs to another user.
GET
/
api
/
v1
/
admin
/
wallets
/
{user_id}
/
{wallet_id}
/
balance
Get Wallet Balance
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"walletId": "657489da-9578-4f5c-b7f1-0d41e91908d1",
"userId": "e097845b-20b1-4805-9708-740cbcf5d524",
"symbol": "USDC",
"network": "POLYGON",
"visibleBalance": 125.5,
"inPoolBalance": 0,
"availableBalance": 125.5,
"totalOperations": 4,
"lastOperationDate": "2026-06-05T01:06:44.548434"
}Get Wallet Balance
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}/{wallet_id}/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"walletId": "657489da-9578-4f5c-b7f1-0d41e91908d1",
"userId": "e097845b-20b1-4805-9708-740cbcf5d524",
"symbol": "USDC",
"network": "POLYGON",
"visibleBalance": 125.5,
"inPoolBalance": 0,
"availableBalance": 125.5,
"totalOperations": 4,
"lastOperationDate": "2026-06-05T01:06:44.548434"
}
